package net.wanji.opt.synthesis.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/12/01 14:44
 */
@Getter
@AllArgsConstructor
public enum StrategyCrossAlgoEnum {
    ZERO(0, "无策略"),
    ONE(1, "绿灯空放"),
    TWO(2, "失衡"),
    THREE(3, "溢出");

    private Integer code;
    private String desc;

    public static String getDescByCode(Integer code) {
        for (StrategyCrossAlgoEnum value : StrategyCrossAlgoEnum.values()) {
            if (Objects.equals(code, value.code)) {
                return value.getDesc();
            }
        }
        return "无策略";
    }
}
