package net.wanji.opt.synthesis.pojo;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/11/03 18:13
 */
@Data
public class StrategyControlDataReq {
    /**
     * 路口干线Id
     */
    private String biz_id;
    /**
     * 类型 0-路口 1-干线
     */
    private Integer biz_type;
    /**
     * 策略类型 0-绿波带 1-失衡 2-溢出 3-空放
     */
    private Integer strategy;
    private String schedule_start;
    private String schedule_end;
    private List<Time_table> time_table;
    /**
     * 调控频率（秒），策略下发的频率（只针对失衡和绿波带有效）
     */
    private Integer freq;
    /**
     * 状态（1=开启，0=停止）
     */
    private Integer status;
    /**
     * 操作（insert=新增,update=更新，delete=删除）
     */
    private String action;

    @Data
    @NoArgsConstructor
    public static class Time_table {
        /**
         * 星期周日至周六 0-6 7为每天不限时
         */
        private Integer week;
        /**
         * 时间段，格式为“开始时间-结束时间”，时间格式为hh:mm:ss，范围00:00:00到23:59:59
         */
        private String[] time_list;
    }
}
