package net.wanji.opt.synthesis.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/11/06 18:25
 */
@Data
@TableName("t_synthesis_optimize_log_info")
public class SynthesisOptimizeLogEntity {
    @TableId(type = IdType.AUTO)
    private Integer id;  // 自增ID
    @TableField("cross_id")
    private String crossId;  // 路口Id
    @TableField("control_id")
    private String controlId;  // 信号机路口id
    private String provider;  // 信号机厂商hisense/ehualu
    @TableField("plan_no")
    private Integer planNo;  // 基础配时方案号
    private Integer cycle;  // 周期
    private Integer offset;  // 相位差
    @TableField("ring_cnt")
    private Integer ringCnt;  // 环数量
    @TableField("ring_set")
    private String ringSet;  // 环中相位顺序
    @TableField("seq_id")
    private String seqId;  // 相位id
    @TableField("red_time")
    private String redTime;  // 红灯时间
    @TableField("yellow_time")
    private String yellowTime;  // 黄灯时间
    @TableField("green_time")
    private String greenTime;  // 绿灯时间
    @TableField("green_flash")
    private String greenFlash;  // 绿闪时间
    @TableField("person_flash")
    private String personFlash;  // 行闪时间
    @TableField("min_green")
    private String minGreen;  // 最小绿
    @TableField("max_green")
    private String maxGreen;  // 最大绿
    private String direction;  // 相位方向
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date timestamp;  // 结束时间
    private Integer strategy;  // 策略类型，0=绿波带，1=失衡
    @TableField("greenbelt_id")
    private String greenbeltId;  // 所属绿波带id（失衡可为空）
}