package net.wanji.opt.synthesis.service.impl;

import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.extern.slf4j.Slf4j;
import net.wanji.common.tool.resttool.RestTemplateTool;
import net.wanji.common.utils.tool.JacksonUtils;
import net.wanji.opt.synthesis.pojo.Result;
import net.wanji.opt.synthesis.pojo.StrategyControlReq;
import net.wanji.opt.synthesis.service.PushStrategyControlService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

/**
 * @author duanruiming
 * @date 2024/11/03 16:25
 */
@Service
@Slf4j
public class PushStrategyControlServiceImpl implements PushStrategyControlService {

    @Value("${synthesis.strategyUrl}")
    private String url;
    @Override
    public Result push(StrategyControlReq req) throws Exception {
        //String url = "http://37.12.182.50:8082/api/traffic/strategy/info";
        try {
            ObjectMapper mapper = JacksonUtils.getInstance();
            String resultStr = RestTemplateTool.post(url, mapper.writeValueAsString(req));
            if (StringUtils.isNotBlank(resultStr)) {
                Result result = mapper.readValue(resultStr, Result.class);
                return result;
            } else {
                log.error("策略推送url:{}失败：返回数据异常", url);
                return new Result("500", "服务调用失败", null);
            }
        } catch (Exception e) {
            log.error("策略控制推送url:{}，失败：{}", url, e);
            throw new Exception(e);
        }
    }
}
